#include "defines.h"

int gput8(int c,unsint *gram,int wx)
/* ８ドット書き込み：１６色 <- 白黒 */
{
int b=BIT7,i;
	for (i=0;i<8;i++) {
		*gram++=(c&b? 0x0f:0x00);
		if ((--wx)==0) break;
		b>>=1;
	}
	return(wx);
}
